Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Grounding Drones with Outdated Firmware

Discussion in 'Firmware' started by wattsawatt, Feb 2, 2015.

  1. wattsawatt

    Joined:
    Feb 2, 2015
    Messages:
    7
    Likes Received:
    0
    I am wondering if there are any DJI drone models that stay grounded if they haven't had a mandatory firmware upgrade? If not, could a future firmware update add this feature? For example, if there was a serious flaw found in the code of some drone model, could the manufacturer force the users to update to a new firmware version? Thanks in advance for any information.
     
  2. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,975
    Likes Received:
    5,585
    Location:
    US
    DJI sometimes forces firmware updates now. It only happens if running the Phantom Assistant while connected to the Internet though.
     
  3. wattsawatt

    Joined:
    Feb 2, 2015
    Messages:
    7
    Likes Received:
    0
    Thanks for the info. Any idea what models / firmware versions this can be done on?
     
  4. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,975
    Likes Received:
    5,585
    Location:
    US
    I'm assuming they can do it on all Phantom models that are able to connect to the Phantom Assistant application. Older Phantoms use the Naza-M Assistant Software -- which is similar. So, they can probably do it there too.
     
  5. wattsawatt

    Joined:
    Feb 2, 2015
    Messages:
    7
    Likes Received:
    0
    They are going to release a mandatory update to prevent Phantom Vision drones from flying in Washington DC. Can they prevent a drone from taking off if it is has not been updated to the new mandatory firmware? Otherwise, people could just refuse to update and keep flying in the restricted area.
     
  6. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,975
    Likes Received:
    5,585
    Location:
    US
    I think you can only refuse the update by turning off your Internet connection. It probably auto installs as soon as you start the Phantom Assistant when connected to the Internet. (I did not install it yet.)

    Even if installed, you could install Phantom Assistant v2 and roll back to v2.x of the firmware. You would not be affected by the flight restrictions then.
     
  7. wattsawatt

    Joined:
    Feb 2, 2015
    Messages:
    7
    Likes Received:
    0
    So have you flew your drone yet since this "mandatory" firmware has been released? Its funny how they call it "mandatory" but yet its easily avoidable.
     
  8. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,975
    Likes Received:
    5,585
    Location:
    US
    I did not install it yet. It's been in the 20's where I live. Way too cold to fly :)
     
  9. wattsawatt

    Joined:
    Feb 2, 2015
    Messages:
    7
    Likes Received:
    0
    I'm just wondering if you have flew your drone without the update since the update was released. I'm interested to see if the drone would take off without the mandatory update. Thanks again for the info :).
     
  10. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,975
    Likes Received:
    5,585
    Location:
    US
    Yes, the Phantom will still take off even if you don't install the updates. The Phantom does not know it's missing updates until it connects to the Phantom Assistant.
     
  11. dptcalvin

    Joined:
    Nov 29, 2014
    Messages:
    715
    Likes Received:
    12
    I connected my P2 to the Assistant this morning while connected to the Internet. Saw the update, but didn't install it and it wasn't forced on me.
     
  12. wattsawatt

    Joined:
    Feb 2, 2015
    Messages:
    7
    Likes Received:
    0
    Thanks msinger for the help.

    Does anyone know if the original Phantom models can have mandatory updates?
     
  13. Fplvert

    Joined:
    May 28, 2014
    Messages:
    1,559
    Likes Received:
    708
    Location:
    Southern Idaho USA
    :D
    I'm not aware of any model's mandatory updates. That is easily controlled by the user.
    :lol: You control the assistant version and the bird's plug.
     
  14. general01

    Joined:
    Feb 27, 2014
    Messages:
    468
    Likes Received:
    4
    ^ I second this
    No one can force us to upgrade the firmware on our phantoms if we don't want to
     
  15. wattsawatt

    Joined:
    Feb 2, 2015
    Messages:
    7
    Likes Received:
    0
    Great thanks for the information. Though I do see mandatory updates being forcible in the future.
     
  16. general01

    Joined:
    Feb 27, 2014
    Messages:
    468
    Likes Received:
    4
    Not likely as they would be a bunch of pissed owners if the firmware didn't work as it should(e g crashing phantoms and more flyaways)
     
  17. myvrodrocks

    Joined:
    Nov 23, 2013
    Messages:
    299
    Likes Received:
    1
    Location:
    Germany
    Amazing how dumb people are. Unless DJI comes to your house with a gun, nothing is "mandatory".

    I'm running 1.08. I bought a new PV2+. It had all kinds of flight restrictions in it. I installed 1.08 problem solved. Ground station does not work but I don't care. I bought it to fly it. Not program it.
     
  18. general01

    Joined:
    Feb 27, 2014
    Messages:
    468
    Likes Received:
    4
    Mind sharing with me how you do that(pm me)
     
  19. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,975
    Likes Received:
    5,585
    Location:
    US
  20. general01

    Joined:
    Feb 27, 2014
    Messages:
    468
    Likes Received:
    4